Skip to main content
GET
/
v1
/
connections
/
{connectorId}
/
{ownerId}
Retrieve a connection
const options = {
  method: 'GET',
  headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};

fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
  --url https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-api-secret: <api-key>'
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<api-key>")
	req.Header.Add("x-api-secret", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "x-api-key: <api-key>",
    "x-api-secret: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}"

headers = {
    "x-api-key": "<api-key>",
    "x-api-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}")
  .header("x-api-key", "<api-key>")
  .header("x-api-secret", "<api-key>")
  .asString();
{
  "connectorId": "<string>",
  "ownerId": "<string>",
  "operations": [
    "<string>"
  ],
  "status": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "object": "connection"
}
{
  "message": ""
}

Authorizations

x-api-key
string
header
required
x-api-secret
string
header
required

Path Parameters

connectorId
required
Available options:
hubspot,
pipedrive,
salesforce,
aircall,
gong,
attio,
dialpad,
calendly,
xero,
chargebee
ownerId
string
required

Response

OK

connectorId
string
required
ownerId
string
required
operations
string[]
required
status
string
required
createdAt
string
required
updatedAt
string
required
object
enum<string>
default:connection
Available options:
connection